FcFreeTypeCharIndex(3) |  | FcFreeTypeCharIndex(3)

# NAME

FcFreeTypeCharIndex - map Unicode to glyph id

# SYNOPSIS

    #include <fontconfig.h>
    #include <fcfreetype.h>

    FT_UInt FcFreeTypeCharIndex (FT_Face face, FcChar32 ucs4);

# DESCRIPTION

Maps a Unicode char to a glyph index. This function uses information from several possible underlying encoding tables to work around broken fonts. As a result, this function isn't designed to be used in performance sensitive areas; results from this function are intended to be cached by higher level functions.

22 12月 2023 | Fontconfig 2.15.0